# fn() globalAlignmentScore
Computes the best global pairwise alignment score.

Defined in | <seqan/align.h>
Signature | `TScoreVal globalAlignmentScore(seqH, seqV, scoringScheme[, alignConfig][, lowerDiag, upperDiag][, algorithmTag]); TScoreVal globalAlignmentScore(strings, scoringScheme[, alignConfig][, lowerDiag, upperDiag][, algorithmTag]); TScoreVal globalAlignmentScore(seqH, seqV, {MyersBitVector | MyersHirschberg}); TScoreVal globalAlignmentScore(strings, {MyersBitVector | MyersHirschberg});`

## Parameters

`seqH` | Horizontal gapped sequence in alignment matrix. Types: String
`seqV` | Vertical gapped sequence in alignment matrix. Types: String
`strings` | A StringSet containing two sequences. Type: StringSet.
`alignConfig` | The AlignConfig to use for the alignment. Type: AlignConfig
`scoringScheme` | The scoring scheme to use for the alignment. Note that the user is responsible for ensuring that the scoring scheme is compatible with `algorithmTag`. Type: Score.
`lowerDiag` | Optional lower diagonal. Types: `int`
`upperDiag` | Optional upper diagonal. Types: `int`
`algorithmTag` | The Tag for picking the alignment algorithm. Types: PairwiseLocalAlignmentAlgorithms.

## Return Values

`TScoreVal` | Score value of the resulting alignment (Metafunction: Value of the type of `scoringScheme`).

## Detailed Description

This function does not perform the (linear time) traceback step after the (mostly quadratic time) dynamic programming step. Note that Myers' bit-vector algorithm does not compute an alignment (only in the Myers-Hirschberg variant) but scores can be computed using `globalAlignmentScore`.

The same limitations to algorithms as in globalAlignment apply. Furthermore, the `MyersBitVector` and `MyersHirschberg` variants can only be used without any other parameter.

## Data Races

Thread safety unknown!

## See Also

- globalAlignment
- http://seqan.readthedocs.io/en/develop/Tutorial/PairwiseSequenceAlignment.html

#### Dox Sources

    /*!
     * @fn globalAlignmentScore
     *
     * @headerfile <seqan/align.h>
     *
     * @brief Computes the best global pairwise alignment score.
     *
     * @signature TScoreVal globalAlignmentScore(seqH, seqV, scoringScheme[,
     *            alignConfig][, lowerDiag, upperDiag][, algorithmTag]);
     * @signature TScoreVal globalAlignmentScore(strings, scoringScheme[,
     *            alignConfig][, lowerDiag, upperDiag][, algorithmTag]);
     * @signature TScoreVal globalAlignmentScore(seqH, seqV, {MyersBitVector |
     *            MyersHirschberg});
     * @signature TScoreVal globalAlignmentScore(strings, {MyersBitVector |
     *            MyersHirschberg});
     *
     * @param[in] seqH Horizontal gapped sequence in alignment matrix. Types: String
     * @param[in] seqV Vertical gapped sequence in alignment matrix. Types: String
     * @param[in] strings A @link StringSet @endlink containing two sequences. Type:
     *                    StringSet.
     * @param[in] alignConfig The @link AlignConfig @endlink to use for the
     *                        alignment. Type: AlignConfig
     * @param[in] scoringScheme The scoring scheme to use for the alignment. Note
     *                          that the user is responsible for ensuring that the
     *                          scoring scheme is compatible with
     *                          <tt>algorithmTag</tt>. Type: @link Score @endlink.
     * @param[in] lowerDiag Optional lower diagonal. Types: <tt>int</tt>
     * @param[in] upperDiag Optional upper diagonal. Types: <tt>int</tt>
     * @param[in] algorithmTag The Tag for picking the alignment algorithm. Types:
     *                         @link PairwiseLocalAlignmentAlgorithms @endlink.
     *
     * @return TScoreVal Score value of the resulting alignment (Metafunction: @link
     *                   Score#Value @endlink of the type of
     *                   <tt>scoringScheme</tt>).
     *
     * This function does not perform the (linear time) traceback step after the
     * (mostly quadratic time) dynamic programming step. Note that Myers' bit-vector
     * algorithm does not compute an alignment (only in the Myers-Hirschberg
     * variant) but scores can be computed using <tt>globalAlignmentScore</tt>.
     *
     * The same limitations to algorithms as in @link globalAlignment @endlink
     * apply. Furthermore, the <tt>MyersBitVector</tt> and <tt>MyersHirschberg</tt>
     * variants can only be used without any other parameter.
     *
     * @see http://seqan.readthedocs.io/en/develop/Tutorial/PairwiseSequenceAlignmen
     *      t.html
     * @see globalAlignment
     */